LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Ubuntu
User Name
Password
Ubuntu This forum is for the discussion of Ubuntu Linux.

Notices

Reply
 
Search this Thread
Old 07-30-2006, 09:22 AM   #1
LearningToLive
LQ Newbie
 
Registered: Jan 2006
Distribution: Kubuntu Dapper Drake
Posts: 7

Rep: Reputation: 0
Sun Java Plugin problem with apt-get Unmet Dependencies


I'm running Kubuntu Dapper, and I reciently ran EasyUbuntu 3.021 to install Flash and Java. Now whenever I use apt-get to install new programs, it gives me this error and doesn't install anything:

Code:
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
  sun-java5-plugin: Depends: sun-java5-bin (= 1.5.0-06-1) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Could somebody shed some light on what is happening? I'm guessing the version of Java I'm running is outdated?? Any possible solutions? Thanks.
 
Old 07-30-2006, 12:40 PM   #2
ErrorBound
Member
 
Registered: Apr 2006
Posts: 280

Rep: Reputation: 31
Did you try 'apt-get -f install', like it says?
 
Old 07-30-2006, 12:57 PM   #3
LearningToLive
LQ Newbie
 
Registered: Jan 2006
Distribution: Kubuntu Dapper Drake
Posts: 7

Original Poster
Rep: Reputation: 0
Sorry, I'm an idiot. I must admit I just rushed through everything...hitting next and yes when it appears without reading anything. I re-ran the EasyUbuntu Java setup, and I didn't scroll down to the bottom where you have to check that you agree with the terms, and just hit next right away without reading that is says I've declined the terms and won't install Java. I feel kind of stupid after I realized I've been doing this over and over for the past 12 hours. So I ran it again, checking the I agree box, and it installed everything and life is peachy. Thanks for your help.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
apt-get unmet dependencies, etc. knappster Linux - Software 13 12-14-2005 10:06 PM
apt-get unmet dependencies jeffbarish Debian 9 10-27-2005 12:19 AM
apt-get install not working due to unmet dependencies ibrewale Debian 10 07-26-2005 12:13 PM
apt-get & unmet dependencies! beecee Debian 1 01-09-2004 07:44 AM
apt + KDE3 = unmet dependencies hypermegachi Debian 2 09-29-2003 09:18 AM


All times are GMT -5. The time now is 02:06 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration